/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * ============================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://openbluesky.kenai.com
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id$
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.text;

import javax.annotation.Nonnull;
import java.util.Comparator;
import java.io.Serializable;
import it.tidalwave.netbeans.util.As;
import static it.tidalwave.netbeans.util.Displayable.Displayable;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public final class AsDisplayableComparator implements Comparator<As>, Serializable
  {
    public static AsDisplayableComparator INSTANCE = new AsDisplayableComparator();

    @Override
    public int compare (@Nonnull As object1, @Nonnull As object2)
      {
        return object1.as(Displayable).getDisplayName().compareTo(object2.as(Displayable).getDisplayName());
      }
  }
